## Attach an asset to a canvas **post** `/projects/{projectId}/assets/{assetId}/attach` Attaches an existing ready asset to a project canvas as a static media node. Mutating public API requests support an optional Idempotency-Key header for client retries; duplicate keys within two hours return idempotency_duplicate. ### Path Parameters - `projectId: string` Project identifier - `assetId: string` Asset identifier ### Returns - `asset_id: string` Asset identifier - `canvas_url: string` Project canvas URL - `node_id: string` Canvas node identifier - `project_id: string` Project identifier ### Example ```http curl https://app.flora.ai/api/v1/projects/$PROJECT_ID/assets/$ASSET_ID/attach \ -X POST \ -H "Authorization: Bearer $FLORA_API_KEY" ``` #### Response ```json { "asset_id": "asset_abc123", "canvas_url": "https://example.com", "node_id": "node_abc123", "project_id": "prj_abc123" } ```